/** Calculate the physical height of a rectangle from its ratio and diagonal size */
export declare function physicalHeightFromRatioAndDiagonalSize(ratio: number, diagonalSize: number): number;
/** Get the pixel height of a screen given its ratio and total number of pixels */
export declare function pixelHeightFromRatioAndPixelCount(ratio: number, pixelCount: number): number;
/** Get the ratio of a screen given its height in pixels and total number of pixels */
export declare function ratioFromPixelHeightAndPixelCount(pixelHeight: number, pixelCount: number): number;
/**
* Calculates the simplest fraction for a floating point number using continued fractions
* (based on http://en.wikipedia.org/wiki/Continued_fraction#Infinite_continued_fractions)
* Returns an array containing the numerator and denominator of the simplified fraction.
* @param f The number to calculate the simplest fraction for
* @param epsilon (optional) a number between 0 and 1 which determines precision (closer to zero = greater precision)
*/
export declare function calculateSimplestFraction(f: number, epsilon?: number): number[];
/** Returns true if the specified value is a positive integer */
export declare function isPositiveInt(val: any): boolean;
/** Returns true if the value is a positive number */
export declare function isPositiveNum(val: any): boolean;
